package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.OrderInvoice;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.OrderInvoiceMapper")
public interface OrderInvoiceMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(OrderInvoice record);

    OrderInvoice selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(OrderInvoice record);

    List<OrderInvoice> queryAllOrderInvoice(OrderInvoice record);

    List<OrderInvoice> queryOrderInvoiceByPage(Map<String, Object> parameter);

    int delete(String id);

    OrderInvoice queryOrderInvoice(OrderInvoice record);

    List<OrderInvoice> query(OrderInvoice record);
}

